void setupGUI()
{
  g3 = (PGraphics3D)g;  
  //interface functions:   
  controlP5 = new ControlP5(this);
  controlP5.setColorActive(0xa0090909);
  controlP5.setColorBackground(0x20ffffff);
  controlP5.setColorForeground(0xb0aaaaaa);      //background of sliders
  controlP5.setColorLabel(0xffffffff);
  controlP5.setColorValue(0xffffffff);

  l = controlP5.addGroup("", 0, 680, width);
  l.activateEvent(true);
  l.hideBar(); 
  l.setBackgroundColor(color(255, 25));
  l.setBarHeight(15); 
  l.setBackgroundHeight(200); 


  mySmallTextlabel = controlP5.addTextlabel("nameLabel", "INTERACTION INTERFACE", 5, 5);
  mySmallTextlabel.setColorValue(0xffcccccc);
  mySmallTextlabel.setGroup(l); 

  mySlider2 = controlP5.addSlider("NODE SEPARATION", 0, 100, 60, 5, 20, 200, 15);
  mySlider2.setGroup(l);  
  mySlider2.setId(0);  

  controlP5.setAutoDraw(false);
}

void gui() {
  currCameraMatrix = new PMatrix3D(g3.camera);
  camera();
  controlP5.draw();
  g3.camera = currCameraMatrix;
}


void controlEvent(ControlEvent theEvent) {
  //  println("got a control event from controller with id "+theEvent.controller().id());
  switch(theEvent.controller().id()) {
    case(0):
    cLength = (float)(theEvent.controller().value());
    break;
  }
}

