void mouseClicked()
{
  if (mouseEvent.getClickCount() == 2) 
  {
    buffer.beginDraw();
    buffer.background(getColor(-1)); // since background is not an object, its id is -1
    buffer.noStroke();
  
    buffer.setMatrix(((PGraphics3D)g).camera);
    
    for(int i = 0; i < nodeCount; i++)
    {
      nodes[i].drawBuffer(buffer);
    } 
    buffer.endDraw();
   
    // get the pixel color under the mouse
    color pick = buffer.get(mouseX, mouseY);
    // get object id
    int id = getId(pick);
    // if id > 0 (background id = -1)
    if (id >= 0) 
    {
      // change the cube color
      selection = nodes[id]; 
      nodes[id].focus(); 
    }
  } 
  if(mouseEvent.getClickCount() == 1)
  {
    selection = null; 
  }
}
